


CHANGERS(8)                                           CHANGERS(8)


NNAAMMEE
       cchhaannggeerrss - list SCSI autochangers attached to the system

SSYYNNOOPPSSIISS
       cchhaannggeerrss [ --ddllvv ] [ --aa _b_._t_._l ]

DDEESSCCRRIIPPTTIIOONN
       The  cchhaannggeerrss  program  lists all of the SCSI autochangers
       (jukeboxes) connected to the current system.


OOPPTTIIOONNSS
       --dd     Determines  the  names   and   addresses   of   the
              autochanger's  media  elements  (for  example, tape
              drives).

       --ll     Performs  a  complete  LUN  search  for  all   SCSI
              adapters  in  the  system.   Normal  behavior is to
              start checking at LUN  0  for  SCSI  devices.   The
              first  empty  LUN  found  will end the search for a
              given target ID.  With the --ll option, all LUNS pre-
              sent  on  all target IDs for all SCSI busses in the
              system will be checked for devices.  This can  take
              a  vveerryy lloonngg ttiimmee and should therefore only be used
              when  necessary.   For  example,  a  Fibre  Channel
              adapter  can  support 126 target IDs, each of which
              may have 80 or more LUNs.   Checking  all  LUNs  on
              this single adapter may take over 10 minutes.

        --vv    Lists   more   detailed   information   about  each
              autochanger. The details provided may indicate  how
              many media transports (MT, for example, robot arm),
              storage  transports  (ST,   for   example,   slot),
              import/export   elements  (IE,  for  example,  mail
              slot),  of  data  transport   (DT)   elements   the
              autochanger  contains.  The --vv option also provides
              information about the element movement matrix  sup-
              ported by the autochanger.

       --aa _b_._t_._l
              Selects a specific ordinal SCSI address, where bb is
              the logical SCSI bus, tt is the SCSI target,  and  ll
              is  the SCSI logical unit number (LUN) on that tar-
              get. See lliibbssccssii(8).

EEXXAAMMPPLLEE
       Sample output is shown below: hal$ changers -dv -a 0.2.0

       scsidev@0.2.0:Vendor <SPECTRA>, Product <4000>
        Data Transfer Element at address 80 is scsidev@0.5.0
               Device:Vendor <HP>, Product <C1533A>
                 Type:Tape
          System Name: /dev/rmt2.1
        Data Transfer Element at address 81 is scsidev@0.6.0



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





CHANGERS(8)                                           CHANGERS(8)


               Device:Vendor <HP>, Product <C1533A>
                 Type:Tape
          System Name: /dev/rmt3.1

                1 MT Element  starting at address 79
               60 ST Elements starting at address 1
                1 IE Element  starting at address 0
                2 DT Elements starting at address 80

                         Element Movement Matrix

                         ->DT,  ->IE,  ->ST,  ->MT
                       MT->DT,MT->IE,MT->ST,______
                       ST->DT,ST->IE,ST->ST,ST->MT
                       IE->DT,______,IE->ST,IE->MT
                       DT->DT,DT->IE,DT->ST,DT->MT
                       ______,______,______,______
                       ______,______,______,______
                       ______,______,______,______
                       ______,______,______,______



SSEEEE AALLSSOO
       lliibbssccssii(8)
































NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2


